<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Reporte Cotizaciones y Notas de Pedido por Item</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
/*
Muestra las cotizaciones y notas de pedido combinando item con item, vendedor, almacen, cliente, local o punto de venta, ciudad. Permite elegir el tipo que puede ser nota de venta, cxc y contrato. Permite elegir tambien las notas usadas o no por una nota de venta, además filtra por familia, subfamilia, grupo y subgrupo en un rango de fechas.
El detalle discrimina de acuerdo a la eleccion que se realiza item, vendedor, almacen, cliente, local o punto de venta, ciudad. Tambien pasa los parametros de nota de venta, cxc, contrato, familia, subfamilia, grupo y subgrupo. (Modificado por sugerencia de M)
*/
include "../../conn.php";
include "../../general.php";
include "../../token.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];
//$usuario=$_POST["usuario"];
$asientocc=$_POST["asientocc"];
$tipo_nota=$_POST["tiponota"];
$estado_nota=$_POST["estadonota"];
$usado_nota=$_POST["usadonota"];
$item=$_POST["item"];
$vendedor=$_POST["vendedor"];
$almacen=$_POST["almacen"];
$cliente=$_POST["cliente"];
$canal_venta=$_POST["canal_venta"];
$local=$_POST["local"];
$ciudad=$_POST["ciudad"];
$familia=$_POST["familia"];
$subfamilia=$_POST["subfamilia"];
$grupo=$_POST["grupo"];
$subgrupo=$_POST["subgrupo"];
$fechaini=$_POST["fechaini"];
$fechafin=$_POST["fechafin"];
$otra_moneda=$_POST["otra_moneda"];
$combinar=$_POST["combinar"];
$cod_contexto=$_POST["contexto"];

$cod_cxc=$_GET["cod_cxc"];
$empresa=$_GET["empresa"];
//$usuario_det=$_GET["usuario_det"];
$asientocc_det=$_GET["asientocc_det"];
$otra_moneda_det=$_GET["otra_moneda_det"];
$combinar_det=$_GET["combinar_det"];
$periodo_det=$_GET["periodo_det"];
$tipo_nota_det=$_GET["tipo_nota_det"];
$estado_nota_det=$_GET["estado_nota_det"];
$usado_nota_det=$_GET["usado_nota_det"];
$familia_det=$_GET["familia_det"];
$subfamilia_det=$_GET["subfamilia_det"];
$grupo_det=$_GET["grupo_det"];
$subgrupo_det=$_GET["subgrupo_det"];
$fechaini_det=$_GET["fechaini_det"];
$fechafin_det=$_GET["fechafin_det"];
$cod_item_det=$_GET["cod_item_det"];
$cod_varios_det=$_GET["cod_varios_det"]; //son los codigos de vendedor, cliente, almacen, local, ciudad
$cod_contexto_det=$_GET["contexto_det"];

//$n_decimales = 6;

if($familia == '') { $familia = 0;}
if($subfamilia == '') { $subfamilia = 0;}
if($grupo == '') { $grupo = 0;}
if($subgrupo == '') { $subgrupo = 0;}

?>
<body>

	<?php
	
//Inicio reporte Cotizaciones y Notas de Pedido por Item


if($rep == 14 && $tipo == 1) { // if 2

//nombre otra moneda
$resultotra = mysqli_query($link, "SELECT fldName as otra_moneda
from
actCurrency
where
pkyCurrency = '$otra_moneda' and
sysEnabled = 1 and sysAuthorized = 1;");
		
	while ($row = mysqli_fetch_array($resultotra)) {
	$nom_otra_moneda = $row['otra_moneda'];
	}
	mysqli_free_result($resultotra);


if ($combinar == 0) { //if combinar = 0
	$cliente = 0;
	$canal_venta = 0;
	$vendedor = 0;
	$almacen = 0;
	$local = 0;
	$ciudad = 0;
	$valor_agrupar = 'group by fin.cod_item';
	$valor_ordenar = 'order by fin.item, fin.vendedor, fin.cliente';
	$nom_orden = 'Item';
	$nom_combinar = 'Item';
} //fin if combinar = 0
if ($combinar == 1) { //if combinar = 1
  	$cliente = 0;
	$canal_venta = 0;
	$almacen = 0;
	$local = 0;
	$ciudad = 0;
	$valor_agrupar = 'group by fin.cod_vendedor, fin.cod_item';
	$valor_ordenar = 'order by fin.vendedor, fin.item';
	$valor_agrupar2 = 'group by fin2.cod_vendedor';
	$valor_ordenar2 = 'order by fin2.vendedor, fin2.item';
	$nom_orden = 'Vendedor e Item';
	$nom_combinar = 'Vendedor';
} //fin if combinar = 1
if ($combinar == 2) { //if combinar = 2
	$vendedor = 0;  
	$almacen = 0;
	$local = 0;
	$ciudad = 0;
	$valor_agrupar = 'group by fin.cod_cli, fin.cod_item';
	$valor_ordenar = 'order by fin.cliente, fin.item';
	$valor_agrupar2 = 'group by fin2.cod_cli';
	$valor_ordenar2 = 'order by fin2.cliente, fin2.item';
	$nom_orden = 'Cliente e Item';
	$nom_combinar = 'Cliente';
} //fin if combinar = 2
if ($combinar == 3) { //if combinar = 3
	$cliente = 0;  
	$canal_venta = 0;
	$vendedor = 0;  
	$local = 0;
	$ciudad = 0;
	$valor_agrupar = 'group by fin.cod_alm, fin.cod_item';
	$valor_ordenar = 'order by fin.almacen, fin.item';
	$valor_agrupar2 = 'group by fin2.cod_alm';
	$valor_ordenar2 = 'order by fin2.almacen, fin2.item';
	$nom_orden = 'Almacen e Item';
	$nom_combinar = 'Almacen';
}//fin if combinar = 3
if ($combinar == 4) { //if combinar = 4
	$cliente = 0;  
	$canal_venta = 0;
	$vendedor = 0;  
	$almacen = 0;
	$ciudad = 0;
	$valor_agrupar = 'group by fin.cod_local, fin.cod_item';
	$valor_ordenar = 'order by fin.local_venta, fin.item';
	$valor_agrupar2 = 'group by fin2.cod_local';
	$valor_ordenar2 = 'order by fin2.local_venta, fin2.item';
	$nom_orden = 'Punto o Local de venta e Item';
	$nom_combinar = 'Punto o Local de venta';
}//fin if combinar = 4
if ($combinar == 5) { //if combinar = 5
	$cliente = 0; 
	$canal_venta = 0; 
	$vendedor = 0;  
	$almacen = 0;
	$local = 0;
	$valor_agrupar = 'group by fin.cod_ciudad, fin.cod_item';
	$valor_ordenar = 'order by fin.ciudad, fin.item';
	$valor_agrupar2 = 'group by fin2.cod_ciudad';
	$valor_ordenar2 = 'order by fin2.ciudad, fin2.item';
	$nom_orden = 'Ciudad e Item';
	$nom_combinar = 'Ciudad';
}//fin if combinar = 5

if ($tipo_nota == 0) { //if tipo nota
	$nom_tipo_nota = 'Todos';
	$valor_tipo_nota = ' ';
  } else { 
  	$valor_tipo_nota = ' a.codType = '.$tipo_nota.' and ';
	//nombre de tipo de nota
$resulttipo = mysqli_query($link, "select pkyOrderNoteType as codigo, fldName as tipo
from 
slsOrderNoteType
where
pkyOrderNoteType = '$tipo_nota' and 
sysEnabled = 1 and sysAuthorized = 1
order by tipo;");
	while ($row = mysqli_fetch_array($resulttipo)) {
	$nom_tipo_nota = $row['tipo'];
	}
	mysqli_free_result($resulttipo);
  } //fin if tipo nota

if ($estado_nota == 0) { //if estado nota
	$nom_estado_nota = 'Todos';
	$valor_estado_nota = ' ';
  } else { 
  	$valor_estado_nota = ' a.codStatus = '.$estado_nota.' and ';
	//nombre de estado de nota
$resultestado = mysqli_query($link, "select pkyOrderNoteStatus as codigo, fldName as status
from 
slsOrderNoteStatus
where
pkyOrderNoteStatus = '$estado_nota' and 
sysEnabled = 1 and sysAuthorized = 1
order by status;");
	while ($row = mysqli_fetch_array($resultestado)) {
	$nom_estado_nota = $row['status'];
	}
	mysqli_free_result($resultestado);
  } //fin if estado nota

if ($usado_nota == 0) { //if usado nota = 0
	$nom_usado_nota = 'Todas';
	$valor_usado_nota = '  ';
  } //fin if usado nota = 0
if ($usado_nota == 1) { //if usado nota = 1
  	$nom_usado_nota = 'No';
	$valor_usado_nota = ' a.fldIsModified = 0 and ';
  } //fin if usado nota = 1
if ($usado_nota == 2) { //if usado nota = 2 
  	$nom_usado_nota = 'Si';
	$valor_usado_nota = ' a.fldIsModified = 1 and ';
  } //fin if usado nota = 2

if ($item == 0) { //if item
	$nom_item = 'Todos';
	$valor_item = ' ';
  } else { 
  	$valor_item = ' h.codItem = '.$item.' and ';
	//nombre de item
$resultit = mysqli_query($link, "select pkyItem as codigo, fldName as item, fldFactoryKey as cod_fabrica
from 
invItem
where
pkyItem = '$item' and
sysEnabled = 1 and sysAuthorized = 1
order by item;");
	while ($row = mysqli_fetch_array($resultit)) {
	$nom_item = $row['codigo'].' - '.$row['cod_fabrica'].' - '.$row['item'];
	}
	mysqli_free_result($resultit);
  } //fin if item

 if ($vendedor == 0) { //if vendedor
    $valor_vendedor = ' ';
	//$valor_vendedor1 = ' ';
	$nom_vendedor = 'Todos';
  } else { 
    $valor_vendedor = ' a.codSeller = '.$vendedor.' and ';
	//$valor_vendedor1 = ' and g.codSeller = '.$vendedor.' ';
	//nombre de vendedor
	$resultven = mysqli_query($link, "select pkyPerson as codigo, case when fldMiddleName is NULL then concat(fldLastName,', ',fldFirstName) else concat(fldLastName,' ',fldMiddleName,', ',fldFirstName) end as vendedor
from agnPerson
where
fldIsEmployee = 1 and
fldCanSell = 1 and 
pkyPerson = '$vendedor' and
sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultven)) {
	$nom_vendedor = $row['codigo'].' - '.$row['vendedor'];
	}
	mysqli_free_result($resultven);
  } //fin if vendedor

if ($cliente == 0) { //if cliente
    $valor_cliente = ' ';
	//$valor_cliente1 = ' ';
	$nom_cliente = 'Todos';
  } else { 
    $valor_cliente = ' a.codClient = '.$cliente.' and ';
	//$valor_cliente1 = ' and g.codClient = '.$cliente.' ';
	//nombre de cliente
	$resultcli = mysqli_query($link, "select pkyCompany as codigo, fldName as cliente
from agnCompany
where
fldIsClient = 1 and
pkyCompany = '$cliente' and 
sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultcli)) {
	$nom_cliente = $row['codigo'].' - '.$row['cliente'];
	}
	mysqli_free_result($resultcli);
  } //fin if cliente

if($canal_venta == 0) { // if canal
	$nom_canal_venta = 'Todos';
	$valor_canal_venta = ' ';
} else { 
	$resultcan = mysqli_query($link, "select pkyChannel as codigo, fldName as canal
						from agnChannel
						where
						pkyChannel = '$canal_venta';");
	while ($row = mysqli_fetch_array($resultcan)) {   
	$nom_canal_venta = $row['canal'];
	}
	mysqli_free_result($resultcan);
	$valor_canal_venta = ' c.codChannel = '.$canal_venta.' and ';
} // fin if canal

if ($almacen == 0) { //if almacen
    $valor_almacen = ' ';
	$nom_almacen = 'Todos';
  } else { 
    $valor_almacen = ' a.codWarehouse = '.$almacen.' and ';
	//nombre de almacen
	$resultalm = mysqli_query($link, "select pkyWarehouse as codigo, fldName as almacen
from invWarehouse
where
pkyWarehouse = '$almacen' and 
sysEnabled = 1 and sysAuthorized = 1
order by almacen;");
	while ($row = mysqli_fetch_array($resultalm)) {
	$nom_almacen = $row['almacen'];
	}
	mysqli_free_result($resultalm);
  } //fin if almacen
  
if ($local == 0) { //if local
    $valor_local = ' ';
	$nom_local = 'Todos';
  } else { 
    $valor_local = ' a.codSalesPlace = '.$local.' and ';
	//nombre de local
	$resultloc = mysqli_query($link, "select pkySalesPlace as codigo, fldName as local
from slsSalesPlace
where
pkySalesPlace = '$local' and 
sysEnabled = 1 and sysAuthorized = 1
order by local;");
	while ($row = mysqli_fetch_array($resultloc)) {
	$nom_local = $row['local'];
	}
	mysqli_free_result($resultloc);
  } //fin if local

if ($ciudad == 0) { //if ciudad
    $valor_ciudad = ' ';
	$nom_ciudad = 'Todos';
  } else { 
    $valor_ciudad = ' c.codCityLocation = '.$ciudad.' and ';
	//nombre de local
	$resultciu = mysqli_query($link, "select a.codCityLocation as codigo, b.fldName as ciudad
from
agnCompany a, regCity b
where
a.fldIsClient = 1 and 
a.codCityLocation = '$ciudad' and 
a.codCityLocation = b.pkyCity and 
a.sysEnabled = 1 and a.sysAuthorized = 1 
group by codigo 
order by ciudad;");
	while ($row = mysqli_fetch_array($resultciu)) {
	$nom_ciudad = $row['ciudad'];
	}
	mysqli_free_result($resultciu);
  } //fin if ciudad

if ($familia == 0) { // if familia
		$nom_familia = 'Todos';
		$valor_familia = ' ';
	} else {
		//nombre familia
		$resultfam = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$familia' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultfam)) {
			$nom_familia = $row['nombre'];
		}
		mysqli_free_result($resultfam);
		$valor_familia = ' i.codFamily = ' .$familia. ' and ';
	} //fin if familia

if ($subfamilia == 0) { // if subfamilia
		$nom_subfamilia = 'Todos';
		$valor_subfamilia = ' ';
	} else {
		//nombre sub familia
		$resultsubf = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$subfamilia' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultsubf)) {
			$nom_subfamilia = $row['nombre'];
		}
		mysqli_free_result($resultsubf);
		$valor_subfamilia = ' i.codSubFamily = ' .$subfamilia. ' and ';
	} //fin if subfamilia
	
if ($grupo == 0) { // if grupo
		$nom_grupo = 'Todos';
		$valor_grupo = ' ';
	} else {
		//nombre grupo
		$resultgru = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$grupo' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultgru)) {
			$nom_grupo = $row['nombre'];
		}
		mysqli_free_result($resultgru);
		$valor_grupo = ' i.codGroup = ' .$grupo. ' and ';
	} //fin if grupo
	
if ($subgrupo == 0) { // if subgrupo
		$nom_subgrupo = 'Todos';
		$valor_subgrupo = ' ';
	} else {
		//nombre sub grupo
		$resultsubg = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$subgrupo' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultsubg)) {
			$nom_subgrupo = $row['nombre'];
		}
		mysqli_free_result($resultsubg);
		$valor_subgrupo = ' i.codSubGroup = ' .$subgrupo. ' and ';
	} //fin if subgrupo

//contexto
if($cod_contexto == -1){ 
	$nom_contexto = 'Todos';
	$valor_contexto = ' ';
} else {
	$resultcontx = mysqli_query($link, "select pkyContext as cod_contexto, fldName as contexto, codCostCenter as cod_cc 
	from srvContext
	where 
	pkyContext = '$cod_contexto';");
		while ($row = mysqli_fetch_array($resultcontx)) {   
			$nom_contexto = $row['cod_contexto'].' - '.$row['contexto'];
		}
		mysqli_free_result($resultcontx);
	$valor_contexto = ' a.sysContext = '.$cod_contexto.' and ';	
}

//listado de ventas del periodo

$result = mysqli_query($link, "select fin.cod_item as cod_item, fin.item as item, 
fin.cod_cli as cod_cli, fin.cliente as cliente, 
fin.cod_vendedor as cod_vendedor, fin.vendedor as vendedor, 
fin.cod_alm as cod_alm, fin.almacen as almacen, 
fin.cod_local as cod_local, fin.local_venta as local_venta, 
fin.cod_ciudad as cod_ciudad, fin.ciudad as ciudad, 
sum(fin.cantidad) as cantidad, fin.precio_fin as precio, 
fin.desc_porc as desc_porc, sum(fin.precio_total_fin) as precio_total
from (
select t.cod_item as cod_item, t.item as item, 
t.fecha as fecha, t.nro_doc as nro_doc, 
t.cliente as cliente, t.vendedor as vendedor, 
t.cod_alm as cod_alm, t.almacen as almacen, 
t.local_venta as local_venta, t.cod_local as cod_local,
t.moneda_venta as moneda_venta, t.cod_tc_venta as cod_tc_venta, 
t.cantidad as cantidad, t.precio as precio, 
t.desc_porc as desc_porc, t.precio_total as precio_total,
t.cod_cxc as cod_cxc, t.cod_moneda_venta as cod_moneda_venta, 
t.cod_cli as cod_cli, t.cod_vendedor as cod_vendedor, 
t.cod_ciudad as cod_ciudad, t.ciudad as ciudad, 
tc.fldRate as tasa, 
t.precio * tc.fldRate as precio_fin,
t.precio_total * tc.fldRate as precio_total_fin
from (
select h.codItem as cod_item, i.fldName as item, 
a.fldDate as fecha, 
a.fldNumber as nro_doc, c.fldName as cliente, 
case when b.fldMiddleName is NULL then concat(b.fldLastName,', ',b.fldFirstName) else concat(b.fldLastName,' ',b.fldMiddleName,', ',b.fldFirstName) end as vendedor, a.codWarehouse as cod_alm, 
d.fldName as almacen, e.fldName as local_venta, a.codSalesPlace as cod_local,
f.fldName as moneda_venta, a.codExchangeRate as cod_tc_venta, 
h.fldQuantity as cantidad, 
h.fldPrice as precio, h.fldDiscount as desc_porc,
h.fldTotalNetPrice as precio_total,
a.codAccountReceivable as cod_cxc, 
a.codCurrency as cod_moneda_venta, 
a.codClient as cod_cli,
a.codSeller as cod_vendedor, 
c.codCityLocation as cod_ciudad, m.fldName as ciudad
from slsOrderNote a, agnPerson b, agnCompany c, invWarehouse d, 
slsSalesPlace e, actCurrency f, 
slsOrderNoteDetail h, invItem i,  
regCity m
where 
$valor_item 
$valor_vendedor 
$valor_cliente 
$valor_canal_venta 
$valor_almacen 
$valor_local 
$valor_ciudad 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_tipo_nota 
$valor_estado_nota 
$valor_usado_nota 
$valor_contexto 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codSalesPlace = e.pkySalesPlace and 
a.codCurrency = f.pkyCurrency and 
c.codCityLocation = m.pkyCity and 
h.codOrderNote = a.pkyOrderNote and 
i.pkyItem = h.codItem and 
a.sysEnabled = 1 and a.sysAuthorized = 1) t, actExchangeRateDetail tc
where
tc.codTargetCurrency = t.cod_moneda_venta and
tc.codBaseCurrency = '$otra_moneda' and
tc.codExchangeRate = t.cod_tc_venta 

union all

select t.cod_item as cod_item, t.item as item, 
t.fecha as fecha, t.nro_doc as nro_doc, 
t.cliente as cliente, t.vendedor as vendedor, 
t.cod_alm as cod_alm, t.almacen as almacen, 
t.local_venta as local_venta, t.cod_local as cod_local,
t.moneda_venta as moneda_venta, t.cod_tc_venta as cod_tc_venta, 
t.cantidad as cantidad, t.precio as precio, 
t.desc_porc as desc_porc, t.precio_total as precio_total,
t.cod_cxc as cod_cxc, t.cod_moneda_venta as cod_moneda_venta, 
t.cod_cli as cod_cli, t.cod_vendedor as cod_vendedor, 
t.cod_ciudad as cod_ciudad, t.ciudad as ciudad, 
1 as tasa, 
t.precio as precio_fin,
t.precio_total as precio_total_fin
from (
select h.codItem as cod_item, i.fldName as item, 
a.fldDate as fecha, 
a.fldNumber as nro_doc, c.fldName as cliente, 
case when b.fldMiddleName is NULL then concat(b.fldLastName,', ',b.fldFirstName) else concat(b.fldLastName,' ',b.fldMiddleName,', ',b.fldFirstName) end as vendedor, a.codWarehouse as cod_alm, 
d.fldName as almacen, e.fldName as local_venta, a.codSalesPlace as cod_local,
f.fldName as moneda_venta, a.codExchangeRate as cod_tc_venta, 
h.fldQuantity as cantidad, 
h.fldPrice as precio, h.fldDiscount as desc_porc,
h.fldTotalNetPrice as precio_total,
a.codAccountReceivable as cod_cxc, 
a.codCurrency as cod_moneda_venta, 
a.codClient as cod_cli,
a.codSeller as cod_vendedor, 
c.codCityLocation as cod_ciudad, m.fldName as ciudad
from slsOrderNote a, agnPerson b, agnCompany c, invWarehouse d, 
slsSalesPlace e, actCurrency f, 
slsOrderNoteDetail h, invItem i,  
regCity m
where 
$valor_item 
$valor_vendedor 
$valor_cliente 
$valor_canal_venta 
$valor_almacen 
$valor_local 
$valor_ciudad 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_tipo_nota 
$valor_estado_nota 
$valor_usado_nota 
$valor_contexto 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codSalesPlace = e.pkySalesPlace and 
a.codCurrency = f.pkyCurrency and 
c.codCityLocation = m.pkyCity and 
h.codOrderNote = a.pkyOrderNote and 
i.pkyItem = h.codItem and 
a.sysEnabled = 1 and a.sysAuthorized = 1) t 
where
t.cod_moneda_venta = '$otra_moneda') fin 
$valor_agrupar 
$valor_ordenar;");


//listado de saldo inicial
/*
$result1 = mysqli_query($link, "select fin.cod_item as cod_item, fin.item as item, 
fin.cod_cli as cod_cli, fin.cliente as cliente, 
fin.cod_vendedor as cod_vendedor, fin.vendedor as vendedor, 
fin.cod_alm as cod_alm, fin.almacen as almacen, 
fin.cod_local as cod_local, fin.local_venta as local_venta, 
fin.cod_ciudad as cod_ciudad, fin.ciudad as ciudad, 
sum(fin.cantidad) as cantidad, fin.precio_fin as precio, 
fin.desc_porc as desc_porc, sum(fin.precio_total_fin) as precio_total
from (
select t.cod_item as cod_item, t.item as item, 
t.fecha as fecha, t.nro_doc as nro_doc, 
t.cliente as cliente, t.vendedor as vendedor, 
t.cod_alm as cod_alm, t.almacen as almacen, 
t.local_venta as local_venta, t.cod_local as cod_local,
t.moneda_venta as moneda_venta, t.cod_tc_venta as cod_tc_venta, 
t.cantidad as cantidad, t.precio as precio, 
t.desc_porc as desc_porc, t.precio_total as precio_total,
t.cod_cxc as cod_cxc, t.cod_moneda_venta as cod_moneda_venta, 
t.cod_cli as cod_cli, t.cod_vendedor as cod_vendedor, 
t.cod_ciudad as cod_ciudad, t.ciudad as ciudad, 
tc.fldRate as tasa, 
t.precio * tc.fldRate as precio_fin,
t.precio_total * tc.fldRate as precio_total_fin
from (
select h.codItem as cod_item, i.fldName as item, 
a.fldDate as fecha, 
a.fldNumber as nro_doc, c.fldName as cliente, 
concat(b.fldLastName,', ',b.fldFirstName) as vendedor, a.codWarehouse as cod_alm, 
d.fldName as almacen, e.fldName as local_venta, a.codSalesPlace as cod_local,
f.fldName as moneda_venta, a.codExchangeRate as cod_tc_venta, 
h.fldQuantity as cantidad, 
h.fldPrice as precio, h.fldDiscount as desc_porc,
h.fldTotalNetPrice as precio_total,
a.codAccountReceivable as cod_cxc, 
a.codCurrency as cod_moneda_venta, 
a.codClient as cod_cli,
a.codSeller as cod_vendedor, 
c.codCityLocation as cod_ciudad, m.fldName as ciudad
from slsOrderNote a, agnPerson b, agnCompany c, invWarehouse d, 
slsSalesPlace e, actCurrency f, 
slsOrderNoteDetail h, invItem i,  
regCity m
where 
$valor_item 
$valor_vendedor 
$valor_cliente 
$valor_almacen 
$valor_local 
$valor_ciudad 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_tipo_nota 
$valor_estado_nota 
$valor_usado_nota 
a.fldDate < '$fechaini' and
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codSalesPlace = e.pkySalesPlace and 
a.codCurrency = f.pkyCurrency and 
c.codCityLocation = m.pkyCity and 
h.codOrderNote = a.pkyOrderNote and 
i.pkyItem = h.codItem and 
a.sysEnabled = 1 and a.sysAuthorized = 1) t, actExchangeRateDetail tc
where
tc.codTargetCurrency = t.cod_moneda_venta and
tc.codBaseCurrency = '$otra_moneda' and
tc.codExchangeRate = t.cod_tc_venta 

union all

select t.cod_item as cod_item, t.item as item, 
t.fecha as fecha, t.nro_doc as nro_doc, 
t.cliente as cliente, t.vendedor as vendedor, 
t.cod_alm as cod_alm, t.almacen as almacen, 
t.local_venta as local_venta, t.cod_local as cod_local,
t.moneda_venta as moneda_venta, t.cod_tc_venta as cod_tc_venta, 
t.cantidad as cantidad, t.precio as precio, 
t.desc_porc as desc_porc, t.precio_total as precio_total,
t.cod_cxc as cod_cxc, t.cod_moneda_venta as cod_moneda_venta, 
t.cod_cli as cod_cli, t.cod_vendedor as cod_vendedor, 
t.cod_ciudad as cod_ciudad, t.ciudad as ciudad, 
1 as tasa, 
t.precio as precio_fin,
t.precio_total as precio_total_fin
from (
select h.codItem as cod_item, i.fldName as item, 
a.fldDate as fecha, 
a.fldNumber as nro_doc, c.fldName as cliente, 
concat(b.fldLastName,', ',b.fldFirstName) as vendedor, a.codWarehouse as cod_alm, 
d.fldName as almacen, e.fldName as local_venta, a.codSalesPlace as cod_local,
f.fldName as moneda_venta, a.codExchangeRate as cod_tc_venta, 
h.fldQuantity as cantidad, 
h.fldPrice as precio, h.fldDiscount as desc_porc,
h.fldTotalNetPrice as precio_total,
a.codAccountReceivable as cod_cxc, 
a.codCurrency as cod_moneda_venta, 
a.codClient as cod_cli,
a.codSeller as cod_vendedor, 
c.codCityLocation as cod_ciudad, m.fldName as ciudad
from slsOrderNote a, agnPerson b, agnCompany c, invWarehouse d, 
slsSalesPlace e, actCurrency f, 
slsOrderNoteDetail h, invItem i,  
regCity m
where 
$valor_item 
$valor_vendedor 
$valor_cliente 
$valor_almacen 
$valor_local 
$valor_ciudad 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_tipo_nota 
$valor_estado_nota 
$valor_usado_nota 
a.fldDate < '$fechaini' and
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codSalesPlace = e.pkySalesPlace and 
a.codCurrency = f.pkyCurrency and 
c.codCityLocation = m.pkyCity and 
h.codOrderNote = a.pkyOrderNote and 
i.pkyItem = h.codItem and 
a.sysEnabled = 1 and a.sysAuthorized = 1) t 
where
t.cod_moneda_venta = '$otra_moneda') fin 
$valor_agrupar 
$valor_ordenar;");
*/
  
if($otra_moneda != 0){ 
$mostrar_txt_moneda = $nom_otra_moneda;
} else {
$mostrar_txt_moneda = 'Moneda original';	
}

?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Cotizaciones y Notas de Pedido</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Item: </b><?php echo $nom_item; ?></TD>
        <TD width="25%"><b>Ordenado por: </b><?php echo $nom_orden; ?></TD>
        <TD width="25%"><b>Tipo: </b><?php echo $nom_tipo_nota; ?></TD>
        <TD width="25%"><b>Estado: </b><?php echo $nom_estado_nota; ?></TD>
        </TR>
        <TR> 
        <TD><b>Usada por nota de Venta: </b><?php echo $nom_usado_nota; ?></TD>
        <TD><b>Combinar Item con: </b><?php echo $nom_combinar; ?></TD>
        <TD><b>Cliente: </b><?php echo $nom_cliente; ?></TD>
        <TD><b>Canal (solo para empresas): </b><?php echo $nom_canal_venta; ?></TD>
        </TR>
        <TR> 
        <TD><b>Vendedor: </b><?php echo $nom_vendedor; ?></TD>
        <TD><b>Almacen: </b><?php echo $nom_almacen; ?></TD>
        <TD><b>Punto o Local de venta: </b><?php echo $nom_local; ?></TD>
        <TD><b>Ciudad: </b><?php echo $nom_ciudad; ?></TD>
        </TR>
        <TR> 
        <TD><b>Familia: </b><?php echo $nom_familia; ?></TD>
        <TD><b>Sub Familia: </b><?php echo $nom_subfamilia; ?></TD>
        <TD><b>Grupo: </b><?php echo $nom_grupo; ?></TD>
        <TD><b>Sub Grupo: </b><?php echo $nom_subgrupo; ?></TD>
        </TR>
        <TR>
        
        <TD colspan="2"><b>De Fecha: </b><?php echo $fechaini; ?> <b>a Fecha: </b><?php echo $fechafin; ?></TD>
        <TD><b>Contexto: </b><?php echo $nom_contexto; ?></TD>
        <TD><b>Expresado en: </b><?php echo $mostrar_txt_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br />
<?php
if($combinar == 0) { //if combinar = 0, combina todos los items con todos los clientes, todos los vendedores, todos los almacenes, todos los locales y todas las ciudades, tambien cuando se elige un solo item
?>
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
 	<TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Item</b></TD>
    <!--<TD align="center"><b>Cantidad Saldo</b></TD>
    <TD align="center"><b>Precio x Cant. Saldo</b></TD>-->
    <TD align="center"><b>Cant. Periodo</b></TD>
    <TD align="center"><b>Precio x Cant. Periodo</b></TD>
    <!--<TD align="center"><b>Cantidad Total</b></TD>
    <TD align="center"><b>Precio x Cant. Total</b></TD>-->
    </TR>
    </thead>
    <tbody class="marcafila">

    <?php
    	
	// cargar listado notas de pedido del periodo 
		$matriz_item = array ();
		$i = 1;
		while ($row = mysqli_fetch_array($result)) {
			$matriz_item[$i][1] = $row['cod_item'];
			$matriz_item[$i][2] = $row['item'];
			$matriz_item[$i][3] = $row['cod_cli'];
			$matriz_item[$i][4] = $row['cliente'];
			$matriz_item[$i][5] = $row['cod_vendedor'];
			$matriz_item[$i][6] = $row['vendedor'];
			$matriz_item[$i][7] = $row['cantidad'];
			$matriz_item[$i][8] = $row['precio'];
			$matriz_item[$i][9] = $row['precio_total'];
			$matriz_item[$i][10] = 0;// cantidad saldo inicial
			$matriz_item[$i][11] = 0;// precio saldo inicial
			$i++;
			}
			mysqli_free_result($result);
		
		$fin_item = $i - 1;
		/* saldo inicial
		while ($row = mysqli_fetch_array($result1)) {
			$i = 1;
			$control = 0;
			while($i <= $fin_item && $control == 0) {
				  if($matriz_item[$i][1] == $row['cod_item']) {
					 $matriz_item[$i][10] = $row['cantidad'];
					 $matriz_item[$i][11] = $row['precio_total'];
					 $control = 1;
				  }
					 $i++;
			}
		}
		mysqli_free_result($result1);
		*/
	$color = 2;
	$suma_pc = 0;
	//$suma_pc_sal = 0;
	//$suma_pc_tot = 0;
	$i = 1;
	
	while($i <= $fin_item) { //while
		//$codigo = $matriz_item[$i][14];
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_item[$i][1]);//cod
		} else {
		printf("<tr><td align='center'>%s</td>", $matriz_item[$i][1]);//cod
		}//cierra if color
		printf("<td>%s</td>", $matriz_item[$i][2]);//item
		$cod_item_det = $matriz_item[$i][1];
		//printf("<td align='right'>%s</td>", number_format($matriz_item[$i][10],2));//saldo cant
		//printf("<td align='right'>%s</td>", number_format($matriz_item[$i][11],$n_decimales));//saldo precio x cant
		printf("<td align='right'>%s</td>", number_format($matriz_item[$i][7],$n_cantidad));//cantidad
		if($otra_moneda != 0) {
		printf("<td align='right'><a href='report.php?rep=14&tipo=2&cod_item_det=$cod_item_det&otra_moneda_det=$otra_moneda&combinar_det=0&periodo_det=1&fechaini_det=$fechaini&fechafin_det=$fechafin&tipo_nota_det=$tipo_nota&estado_nota_det=$estado_nota&usado_nota_det=$usado_nota&familia_det=$familia&subfamilia_det=$subfamilia&grupo_det=$grupo&subgrupo_det=$subgrupo&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token&asientocc_det=$asientocc' title='Kardex de Cotizaciones y Notas de Pedido por Item del Periodo'>%s</a></td>", number_format($matriz_item[$i][9],$n_decimales));//precio x cant
		} else {
		printf("<td align='right'><a href='report.php?rep=14&tipo=2&cod_item_det=$cod_item_det&otra_moneda_det=0&combinar_det=0&periodo_det=1&fechaini_det=$fechaini&fechafin_det=$fechafin&tipo_nota_det=$tipo_nota&estado_nota_det=$estado_nota&usado_nota_det=$usado_nota&familia_det=$familia&subfamilia_det=$subfamilia&grupo_det=$grupo&subgrupo_det=$subgrupo&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token&asientocc_det=$asientocc' title='Kardex de Cotizaciones y Notas de Pedido por Item del Periodo'>%s</a></td>", number_format($matriz_item[$i][9],$n_decimales));//precio x cant
		}
		/*
		$total_cantidad = $matriz_item[$i][10] + $matriz_item[$i][7];
		printf("<td align='right'>%s</td>", number_format($total_cantidad,2));// total cantidad
		$total_precio = $matriz_item[$i][11] + $matriz_item[$i][9];
		if($otra_moneda != 0) {
		printf("<td align='right'><a href='report.php?rep=14&tipo=2&cod_item_det=$cod_item_det&otra_moneda_det=$otra_moneda&combinar_det=0&periodo_det=0&fechaini_det=$fechaini&fechafin_det=$fechafin&tipo_nota_det=$tipo_nota&estado_nota_det=$estado_nota&usado_nota_det=$usado_nota&familia_det=$familia&subfamilia_det=$subfamilia&grupo_det=$grupo&subgrupo_det=$subgrupo&usuario_det=$usuario&token=$token' title='Kardex de Cotizaciones y Notas de Pedido por Item'>%s</a></td>", number_format($total_precio,$n_decimales));// total precio x cant
		} else {
		printf("<td align='right'><a href='report.php?rep=14&tipo=2&cod_item_det=$cod_item_det&otra_moneda_det=0&combinar_det=0&periodo_det=0&fechaini_det=$fechaini&fechafin_det=$fechafin&tipo_nota_det=$tipo_nota&estado_nota_det=$estado_nota&usado_nota_det=$usado_nota&familia_det=$familia&subfamilia_det=$subfamilia&grupo_det=$grupo&subgrupo_det=$subgrupo&usuario_det=$usuario&token=$token' title='Kardex de Cotizaciones y Notas de Pedido por Item'>%s</a></td>", number_format($total_precio,$n_decimales));// total precio x cant
		}
		*/
		$suma_pc = $suma_pc + $matriz_item[$i][9];
		//$suma_pc_sal = $suma_pc_sal + $matriz_item[$i][11];
		//$suma_pc_tot = $suma_pc_tot + $total_precio;
		
	  	$color++;
		$i++;
	}//fin while
	
	?>
 
 <tr BGCOLOR='#ffcccc'><td colspan="3"><b>Totales</b></td>
 <!--<td align="right"><?php printf("<b>%s</b>", number_format($suma_pc_sal,$n_decimales)); ?></td>
 <td>&nbsp;</td>-->
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_pc,$n_decimales)); ?></td>
 <!--<td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_pc_tot,$n_decimales)); ?></td>-->
 </tr>
 </tbody>
 </table>
         

<?php
	
	} else { //else combinar = 0
	
	//si combinar = 1 => mostrar vendedor, si combinar = 2 => mostrar cliente, si combinar = 3 => mostrar almacen, si combinar = 4 => mostrar local, si combinar = 5 => mostrar ciudad
	?>
	<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
 	<TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Item</b></TD>
    <?php if($combinar == 1) { ?>
    <TD align="center"><b>Vendedor</b></TD>
    <?php } if($combinar == 2) {?>
    <TD align="center"><b>Cliente</b></TD>
    <?php } if($combinar == 3) {?>
    <TD align="center"><b>Almac&eacute;n</b></TD>
    <?php } if($combinar == 4) {?>
    <TD align="center"><b>Punto o Local de venta</b></TD>
    <?php } if($combinar == 5) {?>
    <TD align="center"><b>Ciudad</b></TD>
    <?php } ?>
    <!--<TD align="center"><b>Cantidad Saldo</b></TD>
    <TD align="center"><b>Precio x Cant. Saldo</b></TD>-->
    <TD align="center"><b>Cant. Periodo</b></TD>
    <TD align="center"><b>Precio x Cant. Periodo</b></TD>
    <!--<TD align="center"><b>Cantidad Total</b></TD>
    <TD align="center"><b>Precio x Cant. Total</b></TD>-->
    </TR>
    </thead>
    <tbody class="marcafila">
    <?php
	
	// cargar listado ventas del periodo 
		$matriz_item = array ();
		$i = 1;
		while ($row = mysqli_fetch_array($result)) {
			$matriz_item[$i][1] = $row['cod_item'];
			$matriz_item[$i][2] = $row['item'];
			$matriz_item[$i][3] = $row['cod_cli'];
			$matriz_item[$i][4] = $row['cliente'];
			$matriz_item[$i][5] = $row['cod_vendedor'];
			$matriz_item[$i][6] = $row['vendedor'];
			$matriz_item[$i][7] = $row['cantidad'];
			$matriz_item[$i][8] = $row['precio'];
			$matriz_item[$i][9] = $row['precio_total'];
			$matriz_item[$i][10] = 0;// cantidad saldo inicial
			$matriz_item[$i][11] = 0;// precio saldo inicial
			$matriz_item[$i][12] = $row['cod_alm'];
			$matriz_item[$i][13] = $row['almacen'];
			$matriz_item[$i][14] = $row['cod_local'];
			$matriz_item[$i][15] = $row['local_venta'];
			$matriz_item[$i][16] = $row['cod_ciudad'];
			$matriz_item[$i][17] = $row['ciudad'];
			
			$i++;
			}
			mysqli_free_result($result);
		
		$fin_item = $i - 1;
		
	// verifica si es vendedor, cliente, almacen, local o ciudad para cargar saldos iniciales
	/*
	if($combinar == 1) {//if combinar = 1
		while ($row = mysqli_fetch_array($result1)) {
			$i = 1;
			$control = 0;
			while($i <= $fin_item && $control == 0) {
				  if($matriz_item[$i][1] == $row['cod_item'] && $matriz_item[$i][5] == $row['cod_vendedor']) {
					 $matriz_item[$i][10] = $row['cantidad'];
					 $matriz_item[$i][11] = $row['precio_total'];
					 $control = 1;
				  }
					 $i++;
			}
		}
		mysqli_free_result($result1);
		
	} //fin if combinar = 1
	
	if($combinar == 2) {//if combinar = 2
	
		while ($row = mysqli_fetch_array($result1)) {
			$i = 1;
			$control = 0;
			while($i <= $fin_item && $control == 0) {
				  if($matriz_item[$i][1] == $row['cod_item'] && $matriz_item[$i][3] == $row['cod_cli']) {
					 $matriz_item[$i][10] = $row['cantidad'];
					 $matriz_item[$i][11] = $row['precio_total'];
					 $control = 1;
				  }
					 $i++;
			}
		}
		mysqli_free_result($result1);
	}//fin if combinar = 2
	
	if($combinar == 3) {//if combinar = 3
	
		while ($row = mysqli_fetch_array($result1)) {
			$i = 1;
			$control = 0;
			while($i <= $fin_item && $control == 0) {
				  if($matriz_item[$i][1] == $row['cod_item'] && $matriz_item[$i][12] == $row['cod_alm']) {
					 $matriz_item[$i][10] = $row['cantidad'];
					 $matriz_item[$i][11] = $row['precio_total'];
					 $control = 1;
				  }
					 $i++;
			}
		}
		mysqli_free_result($result1);
	}//fin if combinar = 3
	
	if($combinar == 4) {//if combinar = 4
	
		while ($row = mysqli_fetch_array($result1)) {
			$i = 1;
			$control = 0;
			while($i <= $fin_item && $control == 0) {
				  if($matriz_item[$i][1] == $row['cod_item'] && $matriz_item[$i][14] == $row['cod_local']) {
					 $matriz_item[$i][10] = $row['cantidad'];
					 $matriz_item[$i][11] = $row['precio_total'];
					 $control = 1;
				  }
					 $i++;
			}
		}
		mysqli_free_result($result1);
	}//fin if combinar = 4

	if($combinar == 5) {//if combinar = 5
	
		while ($row = mysqli_fetch_array($result1)) {
			$i = 1;
			$control = 0;
			while($i <= $fin_item && $control == 0) {
				  if($matriz_item[$i][1] == $row['cod_item'] && $matriz_item[$i][16] == $row['cod_ciudad']) {
					 $matriz_item[$i][10] = $row['cantidad'];
					 $matriz_item[$i][11] = $row['precio_total'];
					 $control = 1;
				  }
					 $i++;
			}
		}
		mysqli_free_result($result1);
	}//fin if combinar = 5
	*/
	$result_it = mysqli_query($link, "select fin2.cod_item as cod_item, fin2.cod_vendedor as cod_vendedor, fin2.cod_cli as cod_cli, fin2.cod_alm as cod_alm, fin2.cod_local as cod_local, fin2.cod_ciudad as cod_ciudad, fin2.ciudad as ciudad, count(fin2.cod_item) as num_reg
from(
select fin.cod_item as cod_item, fin.item as item, 
fin.cod_cli as cod_cli, fin.cliente as cliente, 
fin.cod_vendedor as cod_vendedor, fin.vendedor as vendedor, 
fin.cod_alm as cod_alm, fin.almacen as almacen, 
fin.cod_local as cod_local, fin.local_venta as local_venta, 
fin.cod_ciudad as cod_ciudad, fin.ciudad as ciudad, 
sum(fin.cantidad) as cantidad, fin.precio_fin as precio, 
fin.desc_porc as desc_porc, sum(fin.precio_total_fin) as precio_total
from (
select t.cod_item as cod_item, t.item as item, 
t.fecha as fecha, t.nro_doc as nro_doc, 
t.cliente as cliente, t.vendedor as vendedor, 
t.cod_alm as cod_alm, t.almacen as almacen, 
t.local_venta as local_venta, t.cod_local as cod_local,
t.moneda_venta as moneda_venta, t.cod_tc_venta as cod_tc_venta, 
t.cantidad as cantidad, t.precio as precio, 
t.desc_porc as desc_porc, t.precio_total as precio_total,
t.cod_cxc as cod_cxc, t.cod_moneda_venta as cod_moneda_venta, 
t.cod_cli as cod_cli, t.cod_vendedor as cod_vendedor, 
t.cod_ciudad as cod_ciudad, t.ciudad as ciudad, 
tc.fldRate as tasa, 
t.precio * tc.fldRate as precio_fin,
t.precio_total * tc.fldRate as precio_total_fin
from (
select h.codItem as cod_item, i.fldName as item, 
a.fldDate as fecha, 
a.fldNumber as nro_doc, c.fldName as cliente, 
case when b.fldMiddleName is NULL then concat(b.fldLastName,', ',b.fldFirstName) else concat(b.fldLastName,' ',b.fldMiddleName,', ',b.fldFirstName) end as vendedor, a.codWarehouse as cod_alm, 
d.fldName as almacen, e.fldName as local_venta, a.codSalesPlace as cod_local,
f.fldName as moneda_venta, a.codExchangeRate as cod_tc_venta, 
h.fldQuantity as cantidad, 
h.fldPrice as precio, h.fldDiscount as desc_porc,
h.fldTotalNetPrice as precio_total,
a.codAccountReceivable as cod_cxc, 
a.codCurrency as cod_moneda_venta, 
a.codClient as cod_cli,
a.codSeller as cod_vendedor, 
c.codCityLocation as cod_ciudad, m.fldName as ciudad
from slsOrderNote a, agnPerson b, agnCompany c, invWarehouse d, 
slsSalesPlace e, actCurrency f, 
slsOrderNoteDetail h, invItem i,  
regCity m
where 
$valor_item 
$valor_vendedor 
$valor_cliente 
$valor_canal_venta 
$valor_almacen 
$valor_local 
$valor_ciudad 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_tipo_nota 
$valor_estado_nota 
$valor_usado_nota 
$valor_contexto 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codSalesPlace = e.pkySalesPlace and 
a.codCurrency = f.pkyCurrency and 
c.codCityLocation = m.pkyCity and 
h.codOrderNote = a.pkyOrderNote and 
i.pkyItem = h.codItem and 
a.sysEnabled = 1 and a.sysAuthorized = 1) t, actExchangeRateDetail tc
where
tc.codTargetCurrency = t.cod_moneda_venta and
tc.codBaseCurrency = '$otra_moneda' and
tc.codExchangeRate = t.cod_tc_venta 

union all

select t.cod_item as cod_item, t.item as item, 
t.fecha as fecha, t.nro_doc as nro_doc, 
t.cliente as cliente, t.vendedor as vendedor, 
t.cod_alm as cod_alm, t.almacen as almacen, 
t.local_venta as local_venta, t.cod_local as cod_local,
t.moneda_venta as moneda_venta, t.cod_tc_venta as cod_tc_venta, 
t.cantidad as cantidad, t.precio as precio, 
t.desc_porc as desc_porc, t.precio_total as precio_total,
t.cod_cxc as cod_cxc, t.cod_moneda_venta as cod_moneda_venta, 
t.cod_cli as cod_cli, t.cod_vendedor as cod_vendedor, 
t.cod_ciudad as cod_ciudad, t.ciudad as ciudad, 
1 as tasa, 
t.precio as precio_fin,
t.precio_total as precio_total_fin
from (
select h.codItem as cod_item, i.fldName as item, 
a.fldDate as fecha, 
a.fldNumber as nro_doc, c.fldName as cliente, 
case when b.fldMiddleName is NULL then concat(b.fldLastName,', ',b.fldFirstName) else concat(b.fldLastName,' ',b.fldMiddleName,', ',b.fldFirstName) end as vendedor, a.codWarehouse as cod_alm, 
d.fldName as almacen, e.fldName as local_venta, a.codSalesPlace as cod_local,
f.fldName as moneda_venta, a.codExchangeRate as cod_tc_venta, 
h.fldQuantity as cantidad, 
h.fldPrice as precio, h.fldDiscount as desc_porc,
h.fldTotalNetPrice as precio_total,
a.codAccountReceivable as cod_cxc, 
a.codCurrency as cod_moneda_venta, 
a.codClient as cod_cli,
a.codSeller as cod_vendedor, 
c.codCityLocation as cod_ciudad, m.fldName as ciudad
from slsOrderNote a, agnPerson b, agnCompany c, invWarehouse d, 
slsSalesPlace e, actCurrency f, 
slsOrderNoteDetail h, invItem i,  
regCity m
where 
$valor_item 
$valor_vendedor 
$valor_cliente 
$valor_canal_venta 
$valor_almacen 
$valor_local 
$valor_ciudad 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_tipo_nota 
$valor_estado_nota 
$valor_usado_nota 
$valor_contexto 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codSalesPlace = e.pkySalesPlace and 
a.codCurrency = f.pkyCurrency and 
c.codCityLocation = m.pkyCity and 
h.codOrderNote = a.pkyOrderNote and 
i.pkyItem = h.codItem and 
a.sysEnabled = 1 and a.sysAuthorized = 1) t 
where
t.cod_moneda_venta = '$otra_moneda') fin 
$valor_agrupar 
$valor_ordenar ) fin2
$valor_agrupar2 
$valor_ordenar2;");
	
	$matriz_it = array ();
	$i = 1;
	//verifica cuantos registros mostrara en el while de abajo si es vendedor, cliente, local,  almacen o ciudad
	if($combinar == 1) {//if combinar = 1, otro
		while ($row = mysqli_fetch_array($result_it)) {
		$matriz_it[$i][1] = $row['cod_vendedor'];
		$matriz_it[$i][2] = $row['num_reg'];
		$i++;
		}
	} //fin if combinar = 1, otro
	
	if($combinar == 2) {//if combinar = 2, otro
		while ($row = mysqli_fetch_array($result_it)) {
		$matriz_it[$i][1] = $row['cod_cli'];
		$matriz_it[$i][2] = $row['num_reg'];
		$i++;
		}	
	}//fin if combinar = 2, otro
	
	if($combinar == 3) {//if combinar = 3, otro
		while ($row = mysqli_fetch_array($result_it)) {
		$matriz_it[$i][1] = $row['cod_alm'];
		$matriz_it[$i][2] = $row['num_reg'];
		$i++;
		}	
	}//fin if combinar = 3, otro
	
	if($combinar == 4) {//if combinar = 4, otro
		while ($row = mysqli_fetch_array($result_it)) {
		$matriz_it[$i][1] = $row['cod_local'];
		$matriz_it[$i][2] = $row['num_reg'];
		$i++;
		}	
	}//fin if combinar = 4, otro
	
	if($combinar == 5) {//if combinar = 5, otro
		while ($row = mysqli_fetch_array($result_it)) {
		$matriz_it[$i][1] = $row['cod_ciudad'];
		$matriz_it[$i][2] = $row['num_reg'];
		$i++;
		}	
	}//fin if combinar = 5, otro
	
	$fin_it = $i - 1;
	
	mysqli_free_result($result_it);
	
	$color = 2;
	$suma_pc = 0;
	//$suma_pc_sal = 0;
	//$suma_pc_tot = 0;
	$suma_pc_par = 0;
	//$suma_pc_sal_par = 0;
	//$suma_pc_tot_par = 0;
	$i = 1;
	$j = 1;
	
	while($j <= $fin_it){//while $fin_it
		$k = 1;
	while($k <= $matriz_it[$j][2]) { //while
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_item[$i][1]);//cod
		} else {
		printf("<tr><td align='center'>%s</td>", $matriz_item[$i][1]);//cod
		}//cierra if color
		$cod_item_det = $matriz_item[$i][1];
		printf("<td>%s</td>", $matriz_item[$i][2]);//item
		if($combinar == 1) {//if combinar = 1
			printf("<td>%s</td>", $matriz_item[$i][6]);//vendedor
			$cod_varios_det = $matriz_item[$i][5];
		} //fin if combinar = 1
		if($combinar == 2) {//if combinar = 2
			printf("<td>%s</td>", $matriz_item[$i][4]);//cliente
			$cod_varios_det = $matriz_item[$i][3];
		}//fin if combinar = 2
		if($combinar == 3) {//if combinar = 3
			printf("<td>%s</td>", $matriz_item[$i][13]);//almacen
			$cod_varios_det = $matriz_item[$i][12];
		}//fin if combinar = 3
		if($combinar == 4) {//if combinar = 4
			printf("<td>%s</td>", $matriz_item[$i][15]);//punto o local de venta
			$cod_varios_det = $matriz_item[$i][14];
		}//fin if combinar = 4
		if($combinar == 5) {//if combinar = 5
			printf("<td>%s</td>", $matriz_item[$i][17]);//ciudad
			$cod_varios_det = $matriz_item[$i][16];
		}//fin if combinar = 5
		//printf("<td align='right'>%s</td>", number_format($matriz_item[$i][10],2));//saldo cant
		//printf("<td align='right'>%s</td>", number_format($matriz_item[$i][11],$n_decimales));//saldo precio x cant
		printf("<td align='right'>%s</td>", number_format($matriz_item[$i][7],$n_cantidad));//cantidad
		
		if($otra_moneda != 0) {
		printf("<td align='right'><a href='report.php?rep=14&tipo=2&cod_item_det=$cod_item_det&otra_moneda_det=$otra_moneda&combinar_det=$combinar&periodo_det=1&fechaini_det=$fechaini&fechafin_det=$fechafin&tipo_nota_det=$tipo_nota&estado_nota_det=$estado_nota&usado_nota_det=$usado_nota&familia_det=$familia&subfamilia_det=$subfamilia&grupo_det=$grupo&subgrupo_det=$subgrupo&cod_varios_det=$cod_varios_det&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token&asientocc_det=$asientocc' title='Kardex de Cotizaciones y Notas de Pedido por Item del Periodo'>%s</a></td>", number_format($matriz_item[$i][9],$n_decimales));//precio x cant
		} else {
		printf("<td align='right'><a href='report.php?rep=14&tipo=2&cod_item_det=$cod_item_det&otra_moneda_det=0&combinar_det=$combinar&periodo_det=1&fechaini_det=$fechaini&fechafin_det=$fechafin&tipo_nota_det=$tipo_nota&estado_nota_det=$estado_nota&usado_nota_det=$usado_nota&familia_det=$familia&subfamilia_det=$subfamilia&grupo_det=$grupo&subgrupo_det=$subgrupo&cod_varios_det=$cod_varios_det&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token&asientocc_det=$asientocc' title='Kardex de Cotizaciones y Notas de Pedido por Item del Periodo'>%s</a></td>", number_format($matriz_item[$i][9],$n_decimales));//precio x cant
		}
		/*
		$total_cantidad = $matriz_item[$i][10] + $matriz_item[$i][7];
		printf("<td align='right'>%s</td>", number_format($total_cantidad,2));// total cantidad
		$total_precio = $matriz_item[$i][11] + $matriz_item[$i][9];
		
		if($otra_moneda != 0) {
		printf("<td align='right'><a href='report.php?rep=14&tipo=2&cod_item_det=$cod_item_det&otra_moneda_det=$otra_moneda&combinar_det=$combinar&periodo_det=0&fechaini_det=$fechaini&fechafin_det=$fechafin&tipo_nota_det=$tipo_nota&estado_nota_det=$estado_nota&usado_nota_det=$usado_nota&familia_det=$familia&subfamilia_det=$subfamilia&grupo_det=$grupo&subgrupo_det=$subgrupo&cod_varios_det=$cod_varios_det&usuario_det=$usuario&token=$token' title='Kardex de Cotizaciones y Notas de Pedido por Item'>%s</a></td>", number_format($total_precio,$n_decimales));// total precio x cant
		} else {
		printf("<td align='right'><a href='report.php?rep=14&tipo=2&cod_item_det=$cod_item_det&otra_moneda_det=0&combinar_det=$combinar&periodo_det=0&fechaini_det=$fechaini&fechafin_det=$fechafin&tipo_nota_det=$tipo_nota&estado_nota_det=$estado_nota&usado_nota_det=$usado_nota&familia_det=$familia&subfamilia_det=$subfamilia&grupo_det=$grupo&subgrupo_det=$subgrupo&cod_varios_det=$cod_varios_det&usuario_det=$usuario&token=$token' title='Kardex de Cotizaciones y Notas de Pedido por Item'>%s</a></td>", number_format($total_precio,$n_decimales));// total precio x cant
		}
		*/
		$suma_pc = $suma_pc + $matriz_item[$i][9];
		//$suma_pc_sal = $suma_pc_sal + $matriz_item[$i][11];
		//$suma_pc_tot = $suma_pc_tot + $total_precio;
		$suma_pc_par = $suma_pc_par + $matriz_item[$i][9];
		//$suma_pc_sal_par = $suma_pc_sal_par + $matriz_item[$i][11];
		//$suma_pc_tot_par = $suma_pc_tot_par + $total_precio;
		$color++;
		$i++;
		$k++;
	}//fin while
	$j++;
	?>
 <tr BGCOLOR='#ffcccc'>
 <?php if($combinar == 1) { //if combinar = 1 ?>
 <td colspan="4"><b>Total Periodo Vendedor <?php echo $matriz_item[$i-1][6]; ?></b></td>
 <?php } //fin if combinar = 1
 	   if($combinar == 2) { //if combinar = 2 ?>
 <td colspan="4"><b>Total Periodo Cliente <?php echo $matriz_item[$i-1][4]; ?></b></td>
 <?php } //fin if combinar = 2
 	   if($combinar == 3) { //if combinar = 3 ?>
 <td colspan="4"><b>Total Periodo Almacen <?php echo $matriz_item[$i-1][13]; ?></b></td>
 <?php } //fin if combinar = 3 
 	   if($combinar == 4) { //if combinar = 4 ?>
 <td colspan="4"><b>Total Periodo Punto o Local de venta <?php echo $matriz_item[$i-1][15]; ?></b></td>
 <?php } //fin if combinar = 4 
 	   if($combinar == 5) { //if combinar = 5 ?>
 <td colspan="4"><b>Total Periodo Ciudad <?php echo $matriz_item[$i-1][17]; ?></b></td>
 <?php } //fin if combinar = 5 ?>
 <!--<td align="right"><?php printf("<b>%s</b>", number_format($suma_pc_sal_par,$n_decimales)); ?></td>
 <td>&nbsp;</td>-->
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_pc_par,$n_decimales)); ?></td>
 <!--<td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_pc_tot_par,$n_decimales)); ?></td>-->
 </tr>
 <?php
	$suma_pc_par = 0;
	//$suma_pc_sal_par = 0;
	//$suma_pc_tot_par = 0;
	}//fin while $fin_it
	

?>
 
 <tr BGCOLOR='#ffcccc'><td colspan="4"><b>Totales</b></td>
 <!--<td align="right"><?php printf("<b>%s</b>", number_format($suma_pc_sal,$n_decimales)); ?></td>
 <td>&nbsp;</td>-->
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_pc,$n_decimales)); ?></td>
 <!--<td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_pc_tot,$n_decimales)); ?></td>-->
 </tr>
 </tbody>
 </table>
         

<?php
	
	}//fin else if combinar = 0
} //fin if 2



// inicio muestra detalle

if($rep == 14 && $tipo == 2) { // if 3

//nombre otra moneda
$resultotra = mysqli_query($link, "SELECT fldName as otra_moneda
from
actCurrency
where
pkyCurrency = '$otra_moneda_det' and
sysEnabled = 1 and sysAuthorized = 1;");
		
	while ($row = mysqli_fetch_array($resultotra)) {
	$nom_otra_moneda = $row['otra_moneda'];
	}
	mysqli_free_result($resultotra);

if ($combinar_det == 0) { //if combinar_det = 0
$valor_cli_det = ' ';
$valor_ven_det = ' ';
$valor_alm_det = ' ';
$valor_loc_det = ' ';
$valor_ciu_det = ' ';
$nom_det = 'Item';
}//fin if combinar_det = 0
if ($combinar_det == 1) { //if combinar_det = 1
$valor_cli_det = ' ';
$valor_ven_det = ' c.codSeller = ' .$cod_varios_det. ' and ';
$valor_alm_det = ' ';
$valor_loc_det = ' ';
$valor_ciu_det = ' ';
$nom_det = 'Vendedor';
}//fin if combinar_det = 1
if ($combinar_det == 2) { //if combinar_det = 2
$valor_cli_det = ' c.codClient = ' .$cod_varios_det. ' and ';
$valor_ven_det = ' ';
$valor_alm_det = ' ';
$valor_loc_det = ' ';
$valor_ciu_det = ' ';
$nom_det = 'Cliente';
}//fin if combinar_det = 2
if ($combinar_det == 3) { //if combinar_det = 3
$valor_cli_det = ' ';
$valor_ven_det = ' ';
$valor_alm_det = ' c.codWarehouse = ' .$cod_varios_det. ' and ';
$valor_loc_det = ' ';
$valor_ciu_det = ' ';
$nom_det = 'Por Almacen';
}//fin if combinar_det = 3
if ($combinar_det == 4) { //if combinar_det = 4
$valor_cli_det = ' ';
$valor_ven_det = ' ';
$valor_alm_det = ' ';
$valor_loc_det = ' c.codSalesPlace = ' .$cod_varios_det. ' and ';
$valor_ciu_det = ' ';
$nom_det = 'Punto o Local de venta';
}//fin if combinar_det = 4
if ($combinar_det == 5) { //if combinar_det = 5
$valor_cli_det = ' ';
$valor_ven_det = ' ';
$valor_alm_det = ' ';
$valor_loc_det = ' ';
$valor_ciu_det = ' d.codCityLocation = ' .$cod_varios_det. ' and ';
$nom_det = 'Ciudad';
}//fin if combinar_det = 5

if ($periodo_det == 0) { //if periodo_det = 0
$valor_fecha_ini_det = ' ';
$valor_fecha_fin_det = ' ';
$nom_fecha_det = '<b>Kardex Completo</b>';
} //fin if periodo_det = 0
if ($periodo_det == 1) { //if periodo_det = 1
$comilla = "'" ;
$valor_fecha_ini_det = ' c.fldDate >= '.$comilla.$fechaini_det.$comilla.' and ';
$valor_fecha_fin_det = ' c.fldDate <= '.$comilla.$fechafin_det.$comilla.' and ';
$nom_fecha_det = '<b>De fecha: </b>'.$fechaini_det.' <b>a fecha: </b>'.$fechafin_det;
} //fin if periodo_det = 1

if ($tipo_nota_det == 0) { //if tipo nota
	$nom_tipo_nota_det = 'Todos';
	$valor_tipo_nota_det = ' ';
  } else { 
  	$valor_tipo_nota_det = ' c.codType = '.$tipo_nota_det.' and ';
	//nombre de tipo de nota
$resulttipo = mysqli_query($link, "select pkyOrderNoteType as codigo, fldName as tipo
from 
slsOrderNoteType
where
pkyOrderNoteType = '$tipo_nota_det' and 
sysEnabled = 1 and sysAuthorized = 1
order by tipo;");
	while ($row = mysqli_fetch_array($resulttipo)) {
	$nom_tipo_nota_det = $row['tipo'];
	}
	mysqli_free_result($resulttipo);
  } //fin if tipo nota

if ($estado_nota_det == 0) { //if estado nota
	$nom_estado_nota_det = 'Todos';
	$valor_estado_nota_det = ' ';
  } else { 
  	$valor_estado_nota_det = ' c.codStatus = '.$estado_nota_det.' and ';
	//nombre de estado de nota
$resultestado = mysqli_query($link, "select pkyOrderNoteStatus as codigo, fldName as status
from 
slsOrderNoteStatus
where
pkyOrderNoteStatus = '$estado_nota_det' and 
sysEnabled = 1 and sysAuthorized = 1
order by status;");
	while ($row = mysqli_fetch_array($resultestado)) {
	$nom_estado_nota_det = $row['status'];
	}
	mysqli_free_result($resultestado);
  } //fin if estado nota

if ($usado_nota_det == 0) { //if usado nota = 0
	$nom_usado_nota_det = 'Todas';
	$valor_usado_nota_det = ' ';
} //fin if usado nota = 0
if ($usado_nota_det == 1) { //if usado nota = 1
	$nom_usado_nota_det = 'No';
	$valor_usado_nota_det = ' c.fldIsModified = 0 and ';
} //fin if usado nota = 1
if ($usado_nota_det == 2) { //if usado nota = 2
  	$nom_usado_nota_det = 'Si';
	$valor_usado_nota_det = ' c.fldIsModified = 1 and ';
} //fin if usado nota = 2

if ($familia_det == 0) { // if familia
		$nom_familia_det = 'Todos';
		$valor_familia_det = ' ';
	} else {
		//nombre familia
		$resultfam = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$familia_det' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultfam)) {
			$nom_familia_det = $row['nombre'];
		}
		mysqli_free_result($resultfam);
		$valor_familia_det = ' b.codFamily = ' .$familia_det. ' and ';
	} //fin if familia

if ($subfamilia_det == 0) { // if subfamilia
		$nom_subfamilia_det = 'Todos';
		$valor_subfamilia_det = ' ';
	} else {
		//nombre sub familia
		$resultsubf = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$subfamilia_det' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultsubf)) {
			$nom_subfamilia_det = $row['nombre'];
		}
		mysqli_free_result($resultsubf);
		$valor_subfamilia_det = ' b.codSubFamily = ' .$subfamilia_det. ' and ';
	} //fin if subfamilia
	
if ($grupo_det == 0) { // if grupo
		$nom_grupo_det = 'Todos';
		$valor_grupo_det = ' ';
	} else {
		//nombre grupo
		$resultgru = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$grupo_det' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultgru)) {
			$nom_grupo_det = $row['nombre'];
		}
		mysqli_free_result($resultgru);
		$valor_grupo_det = ' b.codGroup = ' .$grupo_det. ' and ';
	} //fin if grupo
	
if ($subgrupo_det == 0) { // if subgrupo
		$nom_subgrupo_det = 'Todos';
		$valor_subgrupo_det = ' ';
	} else {
		//nombre sub grupo
		$resultsubg = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$subgrupo_det' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultsubg)) {
			$nom_subgrupo_det = $row['nombre'];
		}
		mysqli_free_result($resultsubg);
		$valor_subgrupo_det = ' b.codSubGroup = ' .$subgrupo_det. ' and ';
	} //fin if subgrupo

//contexto
if($cod_contexto_det == -1){ 
	$nom_contexto_det = 'Todos';
	$valor_contexto_det = ' ';
} else {
	$resultcontx = mysqli_query($link, "select pkyContext as cod_contexto, fldName as contexto, codCostCenter as cod_cc 
	from srvContext
	where 
	pkyContext = '$cod_contexto_det';");
		while ($row = mysqli_fetch_array($resultcontx)) {   
			$nom_contexto_det = $row['cod_contexto'].' - '.$row['contexto'];
		}
		mysqli_free_result($resultcontx);
	$valor_contexto_det = ' c.sysContext = '.$cod_contexto_det.' and ';	
}

$resultdet = mysqli_query($link, "select a.pkyOrderNoteDetail as codigo, a.fldQuantity as cantidad,
a.fldPrice as precio, a.fldDiscount as descuento,
a.fldTotalNetPrice as total, b.fldName as item, b.fldFactoryKey as cod_fabrica, 
c.fldDate as fecha, c.fldNumber as nro_doc, 
c.codClient as cod_cliente, 
d.fldName as cliente, c.codAccountReceivable as cod_cxc, 
c.codAccountEntry as cod_asiento, c.codItemMovement as cod_mov_mercaderia, 
e.fldName as moneda, c.codCurrency as cod_moneda, 
c.codExchangeRate as cod_tc, c.codWarehouse as cod_alm, 
f.fldName as almacen, c.codSeller as cod_vendedor, 
case when g.fldMiddleName is NULL then concat(g.fldLastName,', ',g.fldFirstName) else concat(g.fldLastName,' ',g.fldMiddleName,', ',g.fldFirstName) end as vendedor, 
c.codSalesPlace as cod_local, h.fldName as local, 
d.codCityLocation as cod_ciudad, i.fldName as ciudad
from
slsOrderNoteDetail a, invItem b, slsOrderNote c, 
agnCompany d, actCurrency e, invWarehouse f, 
agnPerson g, slsSalesPlace h, regCity i
where 
$valor_fecha_ini_det 
$valor_fecha_fin_det 
$valor_cli_det 
$valor_ven_det 
$valor_alm_det 
$valor_loc_det 
$valor_ciu_det 
$valor_tipo_nota_det 
$valor_estado_nota_det 
$valor_usado_nota_det 
$valor_familia_det 
$valor_subfamilia_det 
$valor_grupo_det 
$valor_subgrupo_det 
$valor_contexto_det 
a.codItem = b.pkyItem and 
a.codItem = '$cod_item_det' and 
a.codOrderNote = c.pkyOrderNote and 
c.codClient = d.pkyCompany and 
c.codCurrency = e.pkyCurrency and 
c.codWarehouse = f.pkyWarehouse and 
c.codSeller = g.pkyPerson and 
c.codSalesPlace = h.pkySalesPlace and 
d.codCityLocation = i.pkyCity and 
c.sysEnabled = 1 and c.sysAuthorized = 1
order by fecha;");
$matriz_det = array();
$i = 1;

		while ($row = mysqli_fetch_array($resultdet)) {
		$matriz_det[$i][1] = $row['codigo'];
		$matriz_det[$i][2] = $row['nro_doc'];
		$matriz_det[$i][3] = $row['item'];
		$matriz_det[$i][4] = $row['fecha'];
		$matriz_det[$i][5] = $row['cliente'];
		$matriz_det[$i][6] = $row['cod_cxc'];
		$matriz_det[$i][7] = $row['cantidad'];
		$matriz_det[$i][8] = $row['precio'];
		$matriz_det[$i][9] = $row['descuento'];
		$matriz_det[$i][10] = $row['total'];
		$matriz_det[$i][11] = $row['moneda'];
		$matriz_det[$i][12] = $row['cod_moneda'];
		$matriz_det[$i][13] = $row['cod_tc'];
		$cod_tc = $matriz_det[$i][13];
		$cod_moneda_base = $matriz_det[$i][12];
		//por alguna razon estos valores deben ir antes de la comprobacion de la moneda sino se pierden
		$matriz_det[$i][15] = $row['almacen'];
		$matriz_det[$i][16] = $row['vendedor'];
		$matriz_det[$i][17] = $row['local'];
		$matriz_det[$i][18] = $row['ciudad'];
		$matriz_det[$i][19] = $row['cod_asiento'];
		$matriz_det[$i][20] = $row['cod_mov_mercaderia'];
		$matriz_det[$i][21] = $row['cod_fabrica'];
		if($matriz_det[$i][12] != $otra_moneda_det) {
			//valores de conversion tipo de cambio a cada fecha de venta o cotizacion
			$resulttc = mysqli_query($link, "SELECT pkyExchangeRateDetail as codigotc, codBaseCurrency as monedabase, codTargetCurrency as monedacambio, fldRate as tc
			from
			actExchangeRateDetail
			where
			codExchangeRate = '$cod_tc' and
			codBaseCurrency = '$otra_moneda_det' and
			codTargetCurrency = '$cod_moneda_base' and
			sysEnabled = 1 AND sysAuthorized = 1;");
			while ($row = mysqli_fetch_array($resulttc)) {
				$matriz_det [$i][14] = $row['tc'];//valor a multiplicar del tc 
				}
				mysqli_free_result($resulttc);
		} else {
			$matriz_det[$i][14] = 1;
		}
		$i++;
		}
		mysqli_free_result($resultdet);
		$fin_det = $i - 1;
?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario_det; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Detalle Cotizaciones y Notas de Pedido</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Item: </b><?php echo $cod_item_det; ?> - <?php echo $matriz_det[1][21]; ?> - <?php echo $matriz_det[1][3]; ?></TD>
        <TD width="25%"><?php echo $nom_fecha_det; ?></TD>
        <TD width="25%"><b>Usada por nota de Venta: </b><?php echo $nom_usado_nota_det; ?></TD>
        <TD width="25%"><b>Tipo: </b><?php echo $nom_tipo_nota_det; ?></TD>
        </TR>
        <TR> 
        <TD><b>Familia: </b><?php echo $nom_familia_det; ?></TD>
        <TD><b>Sub Familia: </b><?php echo $nom_subfamilia_det; ?></TD>
        <TD><b>Grupo: </b><?php echo $nom_grupo_det; ?></TD>
        <TD><b>Sub Grupo: </b><?php echo $nom_subgrupo_det; ?></TD>
        </TR>
        <TR> 
        <TD><b>Combinar Item con: </b><?php echo $nom_det; ?></TD>
        <TD><b>Estado: </b><?php echo $nom_estado_nota_det; ?></TD>
        <TD><b>Contexto: </b><?php echo $nom_contexto_det; ?></TD>
        <TD><b>Expresado en: </b><?php echo $nom_otra_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br />
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. Doc.</b></TD>
    <TD align="center" width="65"><b>Fecha</b></TD>
    <TD align="center"><b>Item</b></TD>
    <TD align="center"><b>Cliente</b></TD>
    <TD align="center"><b>Vendedor</b></TD>
    <TD align="center"><b>Almac&eacute;n</b></TD>
    <TD align="center"><b>Punto o Local de venta</b></TD>
    <TD align="center"><b>Ciudad</b></TD>
    <TD align="center"><b>CxC</b></TD>
    <TD align="center"><b>Asiento</b></TD>
    <TD align="center"><b>Mov. Merc.</b></TD>
    <TD align="center"><b>Cant.</b></TD>
    <TD align="center"><b>Mon.</b></TD>
    <TD align="center"><b>Precio</b></TD>
    <TD align="center"><b>Desc. %</b></TD>
    <TD align="center"><b>Total</b></TD>
    <?php if($otra_moneda_det != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Saldo en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">

    <?php
	$suma_total = 0;
	$suma_total_om = 0;
	$suma_cant = 0;
	$color = 2;
	for ($i = 1; $i <= $fin_det; $i++) { //for
		$codigo_cxc = $matriz_det[$i][6];
		$codigo_asiento = $matriz_det[$i][19];
		$codigo_mov_mercaderia = $matriz_det[$i][20];
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_det[$i][1]);//cod
		} else {
		printf("<tr><td align='center'>%s</td>", $matriz_det[$i][1]);//cod
		}//fin if color
		printf("<td align='center'>%s</td>", $matriz_det[$i][2]);//numero documento
		printf("<td align='right'>%s</td>", $matriz_det[$i][4]);//fecha
		printf("<td>%s</td>", $matriz_det[$i][3]);//item
		printf("<td>%s</td>", $matriz_det[$i][5]);//cliente
		printf("<td>%s</td>", $matriz_det[$i][16]);//vendedor
		printf("<td>%s</td>", $matriz_det[$i][15]);//almacen
		printf("<td>%s</td>", $matriz_det[$i][17]);//punto o local de venta
		printf("<td>%s</td>", $matriz_det[$i][18]);//ciudad
		printf("<td align='right'><a href='../../ModuleCollections/VoucherAccountsReceivable/index.php?pkyAccountsReceivable=$codigo_cxc&user=$usuario_det&token=$token' title='Nota de Cuenta por Cobrar'>%s</a></td>", $matriz_det[$i][6]);//cxc
		printf("<td align='right'><a href='../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=$codigo_asiento&showCC=$asientocc_det&user=$usuario_det&token=$token' title='Asiento Contable'>%s</a></td>", $matriz_det[$i][19]);//asiento
		printf("<td align='right'><a href='../../ModuleInventory/VoucherItemMovement/index.php?pkyItemMovement=$codigo_mov_mercaderia&showBatch=1&printAccountEntry=0&user=$usuario_det&token=$token' title='Movimiento de Mercadería con Lotes'>%s</a></td>", $matriz_det[$i][20]);//movimiento de mercaderia (printAccountEntry=0 porque no genera asiento, lo genera la nota de pedido) 
		printf("<td align='right'>%s</td>", number_format($matriz_det[$i][7],$n_cantidad));//cantidad
		printf("<td>%s</td>", $matriz_det[$i][11]);//moneda
		printf("<td align='right'>%s</td>", number_format($matriz_det[$i][8],$n_decimales));//precio
		printf("<td align='right'>%s</td>", number_format($matriz_det[$i][9], $n_descuento));//descuento
				
		if($otra_moneda_det != 0){ //if otra moneda
			printf("<td align='right'>%s</td>", number_format($matriz_det[$i][10], $n_decimales));//total
			printf("<td align='right'>%s</td>", number_format($matriz_det[$i][14], $n_tipocambio));//tasa
			printf("<td align='right'>%s</td></tr>", number_format($matriz_det[$i][10] * $matriz_det[$i][14], $n_decimales));//total otra moneda
			}//fin if otra moneda 
			else { //else otra moneda
		 	printf("<td align='right'>%s</td></tr>", number_format($matriz_det[$i][10], $n_decimales));//total
		 }//fin if otra moneda
		 $suma_total = $suma_total + $matriz_det[$i][10];
		 $suma_total_om = $suma_total_om + $matriz_det[$i][10] * $matriz_det[$i][14];
		 $suma_cant = $suma_cant + $matriz_det[$i][7];
		 $color++;
		}//fin for

if($otra_moneda_det != 0){ ?>
<tr BGCOLOR='#ffcccc'><td colspan="12"><b>Total</b></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_cant,$n_cantidad)); ?></td>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_total,$n_decimales)); ?></td>
<td>&nbsp;</td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_total_om,$n_decimales)); ?></td></tr>
<?php } else { ?>
<tr BGCOLOR='#ffcccc'><td colspan="12"><b>Total</b></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_cant,$n_cantidad)); ?></td>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_total,$n_decimales)); ?></td></tr>
<?php } 
	
} //fin if 3
?>
</tbody>
</table>

</body>
</html>
